summaryrefslogtreecommitdiffstats
path: root/xchm
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2008-02-27 23:51:19 +0000
committer Eric Hameleers <alien@slackware.com>2008-02-27 23:51:19 +0000
commit636b0e868b65e5d157ef6e1c66196e61c598abd0 (patch)
treeb02e8f8af34d601a09c749657d5609bbc78d6564 /xchm
parent3f6bf0539da017d220e05913ffad3a01ca98d4f6 (diff)
downloadasb-636b0e868b65e5d157ef6e1c66196e61c598abd0.tar.gz
asb-636b0e868b65e5d157ef6e1c66196e61c598abd0.tar.xz
Update to 1.14
Diffstat (limited to 'xchm')
-rwxr-xr-xxchm/build/xchm.SlackBuild11
1 files changed, 6 insertions, 5 deletions
diff --git a/xchm/build/xchm.SlackBuild b/xchm/build/xchm.SlackBuild
index c62f9461..49477043 100755
--- a/xchm/build/xchm.SlackBuild
+++ b/xchm/build/xchm.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright (c) 2007 Eric Hameleers <alien@slackware.com>
+# Copyright (c) 2005-2008 Eric Hameleers <alien@slackware.com>
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -34,6 +34,8 @@
# * Initial build.
# 1.13-1: 04/Nov/2007 by Eric Hameleers <alien@slackware.com>
# * Update.
+# 1.14-1: 28/Feb/2008 by Eric Hameleers <alien@slackware.com>
+# * Update.
#
# Run 'sh xchm.SlackBuild --cleanup' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
@@ -44,7 +46,7 @@
# Set initial variables:
PRGNAM=xchm
-VERSION=${VERSION:-1.13}
+VERSION=${VERSION:-1.14}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
@@ -60,9 +62,8 @@ TMP=${TMP:-/tmp/build}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-# Input URL: http://dl.sourceforge.net/xchm/xchm-1.13.tar.gz
SOURCE="$SRCDIR/${PRGNAM}-${VERSION}.tar.gz"
-SRCURL="http://dl.sourceforge.net/${PRGNAM}/${PRGNAM}-${VERSION}.tar.gz"
+SRCURL="http://downloads.sourceforge.net/${PRGNAM}/${PRGNAM}-${VERSION}.tar.gz"
##
## --- with a little luck, you won't have to edit below this point --- ##
@@ -117,7 +118,7 @@ if ! [ -f ${SOURCE} ]; then
[ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
echo "Source '$(basename ${SOURCE})' not available yet..."
echo "Will download file to $(dirname $SOURCE)"
- wget -nv --connect-timeout=30 -O "${SOURCE}" "${SRCURL}" || true
+ wget -nv -T 30 -O "${SOURCE}" "${SRCURL}" || true
if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
echo "Downloading '$(basename ${SOURCE})' failed... aborting the build."
mv -f "${SOURCE}" "${SOURCE}".FAIL